<template>
  <div class="event-page">
    <div class="banner">
      <div class="banner__content">
        <div class="banner__info">
          Find out what you events our system will recommend to you
        </div>
        <div class="banner__image">
          <img width="100%" height="100%" src="@/assets/festival.svg" alt="">
        </div>
      </div>
    </div>
    <div class="tabs-container">
      <Tabs class="tabs" />
    </div>
    <!-- <div class="border-container">
      <div class="border"></div>
    </div> -->
    <div class="see-more-container">
      <span>
        Popular
      </span>
    </div>
    <div class="event-list-container">
      <EventList :event-list="prepPopEvents" />
    </div>
    <!-- <div class="border-container">
      <div class="border"></div>
    </div> -->
    <div class="see-more-container">
      <span>
        See more events
      </span>
    </div>
    <div class="event-list-container">
      <EventList :event-list="prepPopEvents" />
    </div>
  </div>
</template>
<script>
import Tabs from '@/components/events/Tabs'
import EventList from '@/components/events/EventList'
import { mapGetters } from 'vuex'
import { EVENTS } from '@/store/types'
import { checkDate } from '@/helpers'
export default {
  name: 'EventPage',
  components: {
    Tabs,
    EventList
  },
  async created () {
    await this.$store.dispatch(EVENTS.ACTION.LOAD_POPULAR_EVENTS)
  },
  computed: {
    ...mapGetters({
      popularEvents: EVENTS.GETTER.GET_POPULAR_EVENTS,
      currentDateSort: EVENTS.GETTER.GET_CURRENT_DATE_TAB
    }),
    prepPopEvents () {
      return this.popularEvents.filter(c => {
        if (c.title === 'asd') console.log('c', c)
        if (!c.title) return false
        const a = checkDate(c.date, this.currentDateSort)
        // console.log(a)
        return a
      }).slice(0, 4)
    }
  }
}
</script>
<style lang="scss" scoped>
.banner {
  background: #E8F0FF;
  width: 100%;
  display: flex;
  justify-content: center;
  padding: 22px 0;
  margin-bottom: 80px;

  &__content {
    display: flex;
    max-width: 1200px;
    width: 100%;
    justify-content: space-between;
  }
  &__info {
    font-family: $base_font;
    font-weight: normal;
    font-size: 30px;
    line-height: 40px;
    text-align: center;
    color: #492338;
    max-width: 543px;
    width: 100%;
    display: flex;
    align-items: center;
  }
  &__image {
    width: 100%;
    max-width: 442px;
    height: 345px;
  }
}
.tabs-container {
  display: flex;
  justify-content: center;
}
.tabs {
  max-width: 1200px;
}
.event-list-container {
  display: flex;
  justify-content: center;
  margin-bottom: 160px;
}
.border-container {
  display: flex;
  justify-content: center;
  margin-bottom: 13px;
  .border {
    max-width: 1200px;
    width: 100%;
    border: 1px solid #BDBDBD;
  }
}
.see-more-container {
  max-width: 1200px;
  font-size: 24px;
  width: 100%;
  margin: 0 auto;
  text-align: start;
  margin-bottom: 40px;
  span {
    border-bottom: 5px #ff6392 solid;
    padding-bottom: 5px;
  }
}
</style>
